RNAlib-2.2.9

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Typedefs | Enumerations | Functions
dp_matrices.h File Reference
Include dependency graph for dp_matrices.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | vrna_mx_mfe_s
| Minimum Free Energy (MFE) Dynamic Programming (DP) matrices data structure required within the vrna_fold_compound_t. More...
struct | vrna_mx_pf_s
| Partition function (PF) Dynamic Programming (DP) matrices data structure required within the vrna_fold_compound_t. More...

## Typedefs
typedef struct vrna_mx_mfe_s | vrna_mx_mfe_t
| Typename for the Minimum Free Energy (MFE) DP matrices data structure vrna_mx_mfe_s.
typedef struct vrna_mx_pf_s | vrna_mx_pf_t
| Typename for the Partition Function (PF) DP matrices data structure vrna_mx_pf_s.

## Enumerations

## Functions
int | vrna_mx_add (vrna_fold_compound_t *vc, vrna_mx_type_e type, unsigned int options)
| Add Dynamic Programming (DP) matrices (allocate memory) More...
void | vrna_mx_mfe_free (vrna_fold_compound_t *vc)
| Free memory occupied by the Minimum Free Energy (MFE) Dynamic Programming (DP) matrices. More...
void | vrna_mx_pf_free (vrna_fold_compound_t *vc)
| Free memory occupied by the Partition Function (PF) Dynamic Programming (DP) matrices. More...